/*
**      $VER: ds.h 37.0 (30.01.97)
**
**      main include file for ds.library
**
**      (C) Copyright 1997 Markus Hillenbrand
**      All Rights Reserved.
*/

#ifndef LIBRARIES_DS_H
#define LIBRARIES_DS_H

/* Possible error codes (currently for internal use only) */
#define DS_ERROR_CANNOT_OPEN_FILE_WRITE      	5001    /* BTree */
#define DS_ERROR_CANNOT_OPEN_FILE_READWRITE  	5002    /* BTree */
#define DS_ERROR_WRONG_FILETYPE              	5003    /* BTree */
#define DS_ERROR_WRONG_KEYSIZE               	5004    /* BTree */
#define DS_ERROR_WRONG_DATASIZE              	5005    /* BTree */
#define DS_ERROR_NO_FREE_STORE               	5006    /* BTree */
#define DS_ERROR_KEY_NOT_FOUND               	5007    /* BTree */
#define DS_ERROR_DUPLICATE_KEY               	5008    /* BTree */

/* Structures Defines for B-Trees */
typedef void * BTREE;


#endif /* LIBRARIES_DS_H */


